body {
  background: #111;
  color: white;
  margin: 0;
  font-family: Arial, sans-serif;
}

.lector-wrapper {
  max-width: 1100px;
  margin: auto;
  padding: 10px 20px;
  text-align: center;
}

.header-lector {
  margin-top: 5px;
  margin-bottom: 10px;
}

.header-lector h1 {

  font-size: 22px;
  margin: 5px auto;
  max-width: 500px;
  overflow-wrap: break-word;
  word-wrap: break-word;
}

.header-lector h3 {
  font-size: 14px;
  margin: 0;
  color: #ccc;
}

.page-selector {
  display: flex;
  justify-content: center;
  align-items: center;
  gap: 10px;
  margin: 10px 0;
}

#pageSelect {
  padding: 6px 10px;
  border-radius: 6px;
  border: none;
  background: #ff95af;
  color: white;
  cursor: pointer;
}

#modoBtn {
  padding: 6px 10px;
  border-radius: 6px;
  border: none;
  background: #e1556d;
  color: white;
  cursor: pointer;
}

.reader-container {
  position: relative;
  display: block;
  justify-content: center;
  width: 100%;
}

#mangaPage {
  max-width: 100%;
  max-height: 95vh;
  margin: 5px 0 15px;
  border-radius: 10px;
  box-shadow: 0 0 20px #a1242480;
}

.webtoon-img {
  width: 100%;
  max-width: 900px;
  margin: 0 auto 10px;
  display: block;
}

.nav-overlay {
  position: absolute;
  top: 0;
  width: 50%;
  height: 100%;
  display: flex;
  align-items: center;
  font-size: 40px;
  color: white;
  cursor: pointer;
  opacity: 0;
  transition: 0.2s;
}

.reader-container:hover .nav-overlay {
  opacity: 0.25;
}

.nav-overlay:hover {
  opacity: 0.7;
  background: rgba(0, 0, 0, 0.3);
}

.nav-overlay.left {
  left: 0;
  justify-content: flex-start;
  padding-left: 10px;
}

.nav-overlay.right {
  right: 0;
  justify-content: flex-end;
  padding-right: 10px;
}

.botones {
  display: flex;
  justify-content: space-between;
  gap: 10px;
  margin-top: 10px;
}

.botones button {
  flex: 1;
  padding: 10px;
  border-radius: 20px;
  border: none;
  background: #ff95af;
  color: white;
  cursor: pointer;
}

.botones button:hover {
  background: #e1556d;
}

.back-btn {
  display: flex;
  align-items: center;
  justify-content: center;
  flex: 1;
  text-decoration: none;
  background: #ff95af;
  border-radius: 20px;
  color: white;
}

.back-btn:hover {
  background: #e1556d;
}

@media (max-width: 768px) {
  .botones {
    flex-direction: column;
  }
}

.webtoon-img {
  width: 100%;
  max-width: 900px;
  margin: 0 auto 10px;
  display: block;
}